"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
async function importPlugin(pluginName) {
    try {
        const plugin = await Promise.resolve().then(() => __importStar(require(pluginName)));
        return plugin;
    }
    catch (_a) {
        try {
            const plugin = await Promise.resolve().then(() => __importStar(require(path_1.default.join(__dirname, 'plugins', pluginName))));
            return plugin;
        }
        catch (_b) {
            return undefined;
        }
    }
}
async function getPlugin(docPath, pluginSettings) {
    for (const pluginSetting of pluginSettings) {
        if (!new RegExp(pluginSetting.test).test(docPath)) {
            continue;
        }
        const plugin = await importPlugin(pluginSetting.plugin);
        if (plugin === undefined) {
            continue;
        }
        return { plugin, options: pluginSetting.options };
    }
    return undefined;
}
exports.getPlugin = getPlugin;
